[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.DataType

Data type of the parameter

## Declaration

Source position: db.pas line 1276

`published property TParam.DataType : TFieldType read FDataType write SetDataType;`

## Description

DataType is the current data type of the parameter value. It is set automatically when one of the various AsXYZ properties is written, or when the value is copied from a field value.

## See also

TParam.IsNull |  | Is the parameter empty
TParam.Value |  | Value as a variant
TParam.AssignField |  | Copy value from field instance